From c84e6f6e35c83c8ee19d2c11782611610b4b9f8d Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sun, 17 Nov 2024 00:51:39 +0000
Subject: [PATCH] python3-pip: upgrade 24.2 -> 24.3.1

---
 .../python/python3-pip/no_shebang_mangling.patch       | 10 +++++-----
 .../{python3-pip_24.2.bb => python3-pip_24.3.1.bb}     |  2 +-
 2 files changed, 6 insertions(+), 6 deletions(-)
 rename meta/recipes-devtools/python/{python3-pip_24.2.bb => python3-pip_24.3.1.bb} (96%)

diff --git a/meta/recipes-devtools/python/python3-pip/no_shebang_mangling.patch b/meta/recipes-devtools/python/python3-pip/no_shebang_mangling.patch
index 0481a78a88..dae7bcf2fa 100644
--- a/meta/recipes-devtools/python/python3-pip/no_shebang_mangling.patch
+++ b/meta/recipes-devtools/python/python3-pip/no_shebang_mangling.patch
@@ -1,4 +1,4 @@
-From 41542c2bf85c1c79bb55e6549e8f844b3a1db208 Mon Sep 17 00:00:00 2001
+From 15beaff1fa6214c79cef8806ea4ffd29a936a4c6 Mon Sep 17 00:00:00 2001
 From: Richard Purdie <richard.purdie@linuxfoundation.org>
 Date: Wed, 23 Feb 2022 12:27:06 +0000
 Subject: [PATCH] python3-pip: Don't change shebang
@@ -13,10 +13,10 @@ Upstream-Status: Inappropriate [OE specific config]
  1 file changed, 3 insertions(+), 1 deletion(-)
 
 diff --git a/src/pip/_vendor/distlib/scripts.py b/src/pip/_vendor/distlib/scripts.py
-index e16292b..a3a161d 100644
+index b1fc705..c030e98 100644
 --- a/src/pip/_vendor/distlib/scripts.py
 +++ b/src/pip/_vendor/distlib/scripts.py
-@@ -162,6 +162,8 @@ class ScriptMaker(object):
+@@ -155,6 +155,8 @@ class ScriptMaker(object):
          See also: http://www.in-ulm.de/~mascheck/various/shebang/#length
                    https://hg.mozilla.org/mozilla-central/file/tip/mach
          """
@@ -24,8 +24,8 @@ index e16292b..a3a161d 100644
 +            return b'#!/usr/bin/env python3'
          if os.name != 'posix':
              simple_shebang = True
-         else:
-@@ -380,7 +382,7 @@ class ScriptMaker(object):
+         elif getattr(sys, "cross_compiling", False):
+@@ -363,7 +365,7 @@ class ScriptMaker(object):
                  return
  
              match = FIRST_LINE_RE.match(first_line.replace(b'\r\n', b'\n'))
diff --git a/meta/recipes-devtools/python/python3-pip_24.2.bb b/meta/recipes-devtools/python/python3-pip_24.3.1.bb
similarity index 96%
rename from meta/recipes-devtools/python/python3-pip_24.2.bb
rename to meta/recipes-devtools/python/python3-pip_24.3.1.bb
index bc164415fe..1fa246e4f1 100644
--- a/meta/recipes-devtools/python/python3-pip_24.2.bb
+++ b/meta/recipes-devtools/python/python3-pip_24.3.1.bb
@@ -27,7 +27,7 @@ inherit pypi python_setuptools_build_meta
 
 SRC_URI += "file://no_shebang_mangling.patch"
 
-SRC_URI[sha256sum] = "5b5e490b5e9cb275c879595064adce9ebd31b854e3e803740b72f9ccf34a45b8"
+SRC_URI[sha256sum] = "ebcb60557f2aefabc2e0f918751cd24ea0d56d8ec5445fe1807f1d2109660b99"
 
 RDEPENDS:${PN} = "\
   python3-compile \
-- 
2.44.1

